<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<html>
<head>
<title>JSF Immediate Event Handling Example</title>
</head>
<body>
<f:view>
<h:form id="songForm">
	</br>
	<h:selectOneMenu id="songList" value="#{backingBean.selectedSong}" valueChangeListener="#{backingBean.processValueChange1}" immediate="true" onchange="this.form.submit()">
		<f:selectItems value="#{backingBean.songList}"/>
	</h:selectOneMenu>
	</br>
	<h:outputText id="result" value="#{backingBean.songDetail}"/>
	</br></br>
	<h:selectOneRadio id="catId" value="#{backingBean.category}" immediate="true" onclick="submit()" valueChangeListener="#{backingBean.processValueChange2}">
		<f:selectItems value="#{backingBean.categories}"/>
	</h:selectOneRadio>
	<h:selectOneListbox id="subcategory" value="#{backingBean.subCategory}" binding="#{backingBean.subCategoryList}" rendered = "false">
		<f:selectItems value="#{backingBean.subCategories}"/>
	</h:selectOneListbox>
	</br></br>
	<h:commandButton id="cb" value="Show All Selected" immediate="true" actionListener="#{backingBean.processActionShow}"/>
	</br>
	<h:outputText id="showValue" binding="#{backingBean.showAllSelected}" rendered="true"/>
</h:form>
</f:view>
</body>
</html>